gtkspellmm 3.0.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
GtkSpell::Error Class Reference

`#include <gtkspellmm/gtkspell.h>`

Inheritance diagram for GtkSpell::Error:
[legend]

## Public Types
enum | Code { BACKEND }
| Error codes used for GtkSpell errors. More...

## Public Member Functions
| Error (Code error_code, const Glib::ustring& error_message)
| Error (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Examples:
  example/example.cc.

## Member Enumeration Documentation

enum GtkSpell::Error::Code

Error codes used for GtkSpell errors.

Enumerator
BACKEND | Error code for backend errors.

## Constructor & Destructor Documentation

GtkSpell::Error::Error | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

GtkSpell::Error::Error | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code GtkSpell::Error::code | ( |  | ) | const